Directory (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.ssh.Directory,Directory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ssh
Class Directory

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.ssh.Directory

public class Directory
extends java.lang.Object

Constructor Summary
`Directory(java.io.File directory)`
`Directory(java.io.File directory, Directory parent)`

Method Summary
`void` | `addDirectory(Directory directory)`
`void` | `addFile(java.io.File file)`
`java.util.Iterator` | `directoryIterator()`
`boolean` | `equals(java.lang.Object obj)`
`java.util.Iterator` | `filesIterator()`
`int` | `fileSize()`
`Directory` | `getChild(java.io.File dir)`
`java.io.File` | `getDirectory()`
`Directory` | `getParent()`
`java.lang.String[]` | `getPath()`
`static java.lang.String[]` | `getPath(java.lang.String thePath)`
`int` | `hashCode()`
`boolean` | `isRoot()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Directory

    public Directory(java.io.File directory)

### Directory

    public Directory(java.io.File directory,
                     Directory parent)

Method Detail

### addDirectory

    public void addDirectory(Directory directory)

### addFile

    public void addFile(java.io.File file)

### directoryIterator

    public java.util.Iterator directoryIterator()

### filesIterator

    public java.util.Iterator filesIterator()

### getParent

    public Directory getParent()

### isRoot

    public boolean isRoot()

### getDirectory

    public java.io.File getDirectory()

### getChild

    public Directory getChild(java.io.File dir)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getPath

    public java.lang.String[] getPath()

### getPath

    public static java.lang.String[] getPath(java.lang.String thePath)

### fileSize

    public int fileSize()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.